package com.liquidnet.service.kylin.dto.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@ApiModel(value = "KylinStationLoginVo", description = "专业版登录成功响应数据")
@Data
public class KylinStationLoginVo implements Serializable, Cloneable {
    private static final long serialVersionUID = 9097515630202255297L;
    @ApiModelProperty(position = 10, value = "ID[64]")
    private String uid;
    @ApiModelProperty(position = 11, value = "手机号[11]")
    private String mobile;
    @ApiModelProperty(position = 12, value = "姓名[20]")
    private String name;
    @ApiModelProperty(position = 13, value = "TOKEN[255]")
    private String token;

    private static final KylinStationLoginVo obj = new KylinStationLoginVo();

    public static KylinStationLoginVo getNew() {
        try {
            return (KylinStationLoginVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new KylinStationLoginVo();
        }
    }
}
